Subject: Re: [bug#66199] [PATCH v4 2/2] gnu: librepcb: Update to 1.0.0.
From: Vinicius Monego <[email-masked]>
To: pinoaffe <[email-masked]>
Cc: [email-masked]
Date: Sat, 7 Oct 2023 01:16:45 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Em 03/10/2023 20:39, pinoaffe escreveu:
> Thanks again!
>
> Vinicius Monego<[email-masked]>  writes:
>>> * gnu/packages/engineering.scm (librepcb): Update to 1.0.0.
>>> [inputs]: Add various dependencies (both new ones and old ones that are now
>>>           debundled).
>> If the change is not automated, then every input should be listed,
>> separated by commas.
> Done, I hope this is more or less what you meant
>
>>> [arguments]: Remove overriding of configure phase. Replace test
>>>           phase. Debundle various dependencies.
>> Avoid words like "various", list all items whenever possible.
> Okay
>
>>> [build-system]: Use cmake-build-system.
>>> [native-inputs]: Add googletest.
>> pkg-config was also added to native-inputs.
> I added it to the commit message
>
>> And don't worry too much about the commit message, I can change it
>> later.
> Aight
>
>>> +     (list fontconfig
>>> +           fontobene-qt5
>>> +           glu
>>> +           hoedown
>>> +           muparser
>>> +           opencascade-occt
>>> +           clipper
>> Nitpick: 'clipper' is out of order
> Whoops!
>
>>> +     `(#:phases (modify-phases %standard-phases
>>> +                  (replace 'check
>>> +                    (lambda* (#:key tests? #:allow-other-keys)
>>> +                      (when tests?
>>> +                        (setenv "QT_QPA_PLATFORM" "offscreen")
>>> +                        (setenv "QT_QUICK_BACKEND" "software")
>>> +                        (display "Running unittests...\n")
>>> +                        (invoke "./tests/unittests/librepcb-unittests" "--help")))))
>>> +
>> Why --help?
> Oops, that's a leftover artifact of me testing some stuff
>
>> I ran librepcb-unittests with no arguments and found that
>> ~20 tests failed out of ~2100. If it's not possible to skip them
>> manually, you could skip all tests and leave a comment reporting what
>> happened. I didn't check the output of --help.
> I manually skipped them, though I feel a bit "dirty" skipping 22 tests
> without properly knowing why they fail, especially since it's just a
> constant list of 22 strings in the middle of a package definition.
>
>> #:configure-flags is usually placed above #:phases.
> Okay, I moved it
>
>> I think this patch is ready after fixing the test suite.
> Great!
>
> Kind regards,
> pinoaffe

Great job! I pushed the patches after rewriting the commit message for 
librepcb and doing some minor tweaks.

It's OK to skip some tests, and even better to add a comment stating 
that they pass after the package is built.

Thanks,

Vinicius